summaryrefslogtreecommitdiffstats
path: root/source/l/icu4c/icu4c.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/icu4c/icu4c.SlackBuild')
-rwxr-xr-xsource/l/icu4c/icu4c.SlackBuild21
1 files changed, 14 insertions, 7 deletions
diff --git a/source/l/icu4c/icu4c.SlackBuild b/source/l/icu4c/icu4c.SlackBuild
index 823e4a04b..0a355a345 100755
--- a/source/l/icu4c/icu4c.SlackBuild
+++ b/source/l/icu4c/icu4c.SlackBuild
@@ -1,9 +1,9 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for icu4c
# Copyright 2007-2013 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2012, 2013, 2015, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2012, 2013, 2015, 2016, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=icu4c
-SRCVER=${SRCVER:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 2- -d . | cut -f 2 -d - | rev)}
+SRCVER=${SRCVER:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 2- -d . | cut -f 2 -d - | rev)}
VERSION=$(echo $SRCVER | tr _ .)
BUILD=${BUILD:-2}
@@ -38,9 +40,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:--j6}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-icu4c
@@ -62,7 +71,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf icu
-tar xvf $CWD/icu4c-$SRCVER-src.tar.xz || exit 1
+tar xvf $CWD/icu4c-$SRCVER-src.tar.?z || exit 1
cd icu || exit 1
chown -R root:root .
find . \
@@ -71,8 +80,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
-o -perm 400 \) -exec chmod 644 {} \;
-zcat $CWD/icu4c.closenull.patch.gz | patch -p1 --verbose || exit 1
-
cd source/
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \